MDL-38654 do not test $CFG->gdversion
authorPetr Škoda <commits@skodak.org>
Fri, 22 Mar 2013 15:51:18 +0000 (16:51 +0100)
committerPetr Škoda <commits@skodak.org>
Fri, 22 Mar 2013 15:57:55 +0000 (16:57 +0100)
commit689096bc26a717edfc0ddc7da560123c324e121a
tree7ea2d11c6105eddcd03afc5d1027aac08916a706
parent373a8e052c6a6d02e1f781312d16c82d8f12ee0e
MDL-38654 do not test $CFG->gdversion

GD PHP extension is now required. Add-ons need to remove $CFG->gdversion tests. The worst case regression is that add-on will think GD is not available.
24 files changed:
admin/settings/server.php
group/group_form.php
group/lib.php
lang/en/admin.php
lang/en/install.php
lang/en/moodle.php
lib/db/upgrade.php
lib/deprecatedlib.php
lib/filestorage/tests/file_storage_test.php
lib/gdlib.php
lib/moodlelib.php
lib/upgrade.txt
mod/quiz/renderer.php
mod/survey/lib.php
report/courseoverview/index.php
report/log/locallib.php
report/stats/locallib.php
report/stats/user.php
user/edit.php
user/edit_form.php
user/editadvanced.php
user/editadvanced_form.php
user/editlib.php
version.php